SQL Relay ADO.NET API: SQLRClient.SQLRelayDataReader Class Reference

SQL Relay ADO.NET API

- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
SQLRClient.SQLRelayDataReader Class Reference

Inherits IDataReader.

## Public Member Functions
void | Close ()
Boolean | NextResult ()
Boolean | Read ()
DataTable | GetSchemaTable ()
String | GetName (Int32 i)
String | GetDataTypeName (Int32 i)
Type | GetFieldType (Int32 i)
Object | GetValue (Int32 i)
Int32 | GetValues (Object[] values)
Int32 | GetOrdinal (String name)
Boolean | GetBoolean (Int32 i)
Byte | GetByte (Int32 i)
Int64 | GetBytes (Int32 i, Int64 fieldoffset, Byte[] buffer, Int32 bufferoffset, Int32 length)
Char | GetChar (Int32 i)
Int64 | GetChars (Int32 i, Int64 fieldoffset, Char[] buffer, Int32 bufferoffset, Int32 length)
Guid | GetGuid (Int32 i)
Int16 | GetInt16 (Int32 i)
Int32 | GetInt32 (Int32 i)
Int64 | GetInt64 (Int32 i)
float | GetFloat (Int32 i)
Double | GetDouble (Int32 i)
String | GetString (Int32 i)
Decimal | GetDecimal (Int32 i)
DateTime | GetDateTime (Int32 i)
IDataReader | GetData (Int32 i)
Boolean | IsDBNull (Int32 i)

## Static Public Member Functions
static Object | convertField (Byte[] field, String type, UInt32 precision, UInt32 scale)

## Properties
Int32 | Depth`[get]`
Int32 | FieldCount`[get]`
Boolean | IsClosed`[get]`
Int32 | RecordsAffected`[get]`
Boolean | HasRows`[get]`
Object | this[Int32 i]`[get]`
Object | this[String name]`[get]`

## Member Function Documentation

void SQLRClient.SQLRelayDataReader.Close | ( |  | ) |

Closes the SQLRelayDataReader object.

Boolean SQLRClient.SQLRelayDataReader.GetBoolean | ( | Int32 | i | ) |

Gets the value of the specified column as a Boolean.

Byte SQLRClient.SQLRelayDataReader.GetByte | ( | Int32 | i | ) |

Gets the 8-bit unsigned integer value of the specified column.

Int64 SQLRClient.SQLRelayDataReader.GetBytes | ( | Int32 | i,
|  | Int64 | fieldoffset,
|  | Byte[] | buffer,
|  | Int32 | bufferoffset,
|  | Int32 | length
| ) |  |

Reads a stream of bytes from the specified column offset into the buffer as an array, starting at the given buffer offset.

Char SQLRClient.SQLRelayDataReader.GetChar | ( | Int32 | i | ) |

Gets the character value of the specified column.

Int64 SQLRClient.SQLRelayDataReader.GetChars | ( | Int32 | i,
|  | Int64 | fieldoffset,
|  | Char[] | buffer,
|  | Int32 | bufferoffset,
|  | Int32 | length
| ) |  |

Reads a stream of characters from the specified column offset into the buffer as an array, starting at the given buffer offset.

IDataReader SQLRClient.SQLRelayDataReader.GetData | ( | Int32 | i | ) |

Returns an IDataReader for the specified column ordinal. This method is included because it is required by the interface, but since nested tables and other heirarchical data are currently unsupported by SQL Relay, it just throws a NotSupportedException.

String SQLRClient.SQLRelayDataReader.GetDataTypeName | ( | Int32 | i | ) |

Gets the data type information for the specified field.

DateTime SQLRClient.SQLRelayDataReader.GetDateTime | ( | Int32 | i | ) |

Gets the date and time data value of the specified field.

Decimal SQLRClient.SQLRelayDataReader.GetDecimal | ( | Int32 | i | ) |

Gets the fixed position numeric value of the specified field.

Double SQLRClient.SQLRelayDataReader.GetDouble | ( | Int32 | i | ) |

Gets the double-precision floating point number of the specified field.

Type SQLRClient.SQLRelayDataReader.GetFieldType | ( | Int32 | i | ) |

Gets the Type information corresponding to the type of Object that would be returned from GetValue.

float SQLRClient.SQLRelayDataReader.GetFloat | ( | Int32 | i | ) |

Gets the single-precision floating point number of the specified field.

Guid SQLRClient.SQLRelayDataReader.GetGuid | ( | Int32 | i | ) |

Returns the GUID value of the specified field.

Int16 SQLRClient.SQLRelayDataReader.GetInt16 | ( | Int32 | i | ) |

Gets the 16-bit signed integer value of the specified field.

Int32 SQLRClient.SQLRelayDataReader.GetInt32 | ( | Int32 | i | ) |

Gets the 32-bit signed integer value of the specified field.

Int64 SQLRClient.SQLRelayDataReader.GetInt64 | ( | Int32 | i | ) |

Gets the 64-bit signed integer value of the specified field.

String SQLRClient.SQLRelayDataReader.GetName | ( | Int32 | i | ) |

Returns the name for the specified field.

Int32 SQLRClient.SQLRelayDataReader.GetOrdinal | ( | String | name | ) |

Return the index of the named field.

DataTable SQLRClient.SQLRelayDataReader.GetSchemaTable | ( |  | ) |

Returns a DataTable that describes the colum metadata of the SQLRelayDataReader.

String SQLRClient.SQLRelayDataReader.GetString | ( | Int32 | i | ) |

Gets the string value of the specified field.

Object SQLRClient.SQLRelayDataReader.GetValue | ( | Int32 | i | ) |

Return the value of the specified field.

Int32 SQLRClient.SQLRelayDataReader.GetValues | ( | Object[] | values | ) |

Populates an array of obects with the column values of the current record.

Boolean SQLRClient.SQLRelayDataReader.IsDBNull | ( | Int32 | i | ) |

Returns whether the specified field is set to null.

Boolean SQLRClient.SQLRelayDataReader.NextResult | ( |  | ) |

Advances the data reader to the next result, when reading the results a query which returns multiple result sets.

Boolean SQLRClient.SQLRelayDataReader.Read | ( |  | ) |

Advances the SQLRelayDataReader to the next record.

## Property Documentation

Int32 SQLRClient.SQLRelayDataReader.Depth
| get

Gets a value indicating the depth of nesting for the current row.

Int32 SQLRClient.SQLRelayDataReader.FieldCount
| get

Gets the number of columns in the current row.

Boolean SQLRClient.SQLRelayDataReader.HasRows
| get

Gets true or false, indicating whether the result set contains any rows at all.

Boolean SQLRClient.SQLRelayDataReader.IsClosed
| get

Gets a value indicating whether the data reader is closed.

Int32 SQLRClient.SQLRelayDataReader.RecordsAffected
| get

Gets the number of rows changed, inserted, or deleted by execution of the SQL statement.

Object SQLRClient.SQLRelayDataReader.this[Int32 i]
| get

Return the value of the specified field.

Object SQLRClient.SQLRelayDataReader.this[String name]
| get

Return the value of the specified field.